@extends('layouts.admin')
@section('content')

<div class="alert alert-primary" role="alert">
    <h5 class="alert-heading">SET CORN JOB</h5>
    <p>We recommend to set corn job in <a href="https://cron-job.org/en/" target="_blank">https://cron-job.org/en</a> for automation. Also, you can set corn job in any provider.</p>
</div>


<div class="card rounded-0">
    <div class="card-header pb-0 pt-2">
        <ul class="nav nav-tabs analytics-tab" id="myTab" role="tablist">
            <li class="nav-item" role="presentation">
                <button class="nav-link active" id="place-order-tab" data-bs-toggle="tab" data-bs-target="#place-order-tab-pane" type="button" role="tab" aria-controls="place-order-tab-pane" aria-selected="true" >
                    PLACE ORDER
                </button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link" id="get-order-tab" data-bs-toggle="tab" data-bs-target="#get-order-tab-pane" type="button" role="tab" aria-controls="get-order-tab-pane" aria-selected="true">
                    GET ORDER
                </button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link" id="auto-update-price-tab" data-bs-toggle="tab" data-bs-target="#auto-update-price-tab-pane" type="button" role="tab" aria-controls="auto-update-price-tab-pane" aria-selected="false">
                    AUTO UPDATE PRICE
                </button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="nav-link" id="system-config-tab" data-bs-toggle="tab" data-bs-target="#system-config-tab-pane" type="button" role="tab" aria-controls="system-config-tab-pane" aria-selected="false">
                    SYSTEM CONFIG
                </button>
            </li>
        </ul>
    </div>
    <div class="card-body px-0 py-0">
        <div class="row">
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="place-order-tab-pane" role="tabpanel" aria-labelledby="place-order-tab" tabindex="0">
                    <div class="table-responsive"><table id="place-order-data-table" class="display table px-5"><thead><tr></tr></thead></table></div>
                </div>
                <div class="tab-pane fade" id="get-order-tab-pane" role="tabpanel" aria-labelledby="get-order-tab" tabindex="0">
                    <div class="table-responsive"><table id="get-order-data-table" class="display table px-5"><thead><tr></tr></thead></table></div>
                </div>
                <div class="tab-pane fade" id="auto-update-price-tab-pane" role="tabpanel" aria-labelledby="auto-update-price-tab" tabindex="0">
                    <div class="table-responsive"><table id="update-price-data-table" class="display table px-5"><thead><tr></tr></thead></table></div>
                </div>
                <div class="tab-pane fade" id="system-config-tab-pane" role="tabpanel" aria-labelledby="system-config-tab" tabindex="0">
                    <div class="table-responsive"><table id="site-config-data-table" class="display table px-5"><thead><tr></tr></thead></table></div>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
@section('footer_script')
<script>
    $(document).ready(function() {
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        // Place Order - Data Table
        var table = $('#place-order-data-table').DataTable({
            processing: false,
            serverSide: true,
            lengthChange: false,
            info: false,
            footer: false,
            ajax: {
                url: '{{ route('fetch_corn_placeorder') }}',
                type: 'GET',
                beforeSend: function() {
                    $('.top-loader').show();
                },
                complete: function() {
                    $('.top-loader').hide();
                },
            },
            columns: [
                { data: 'corn_name', title: 'NAME OF CORN JOB', className: 'text-left', orderable: false, searchable: false },
                { data: 'corn_time', title: 'Execution Time', className: 'text-left', orderable: false, searchable: false },
                { data: 'corn_url', title: 'Corn Job URL', className: 'text-left', orderable: false, searchable: false },
                {
                    data: '',
                    title: 'Copy Url',
                    className: 'text-end',
                    orderable: false,
                    searchable: false,
                    render: function(data, type, row, meta) {
                        return '<span class="badge bg-light-success fs-6 float-end copy-btn" data-url="' + row.corn_url + '"><i class="fas fa-copy"></i> Copy</span>';
                    }
                }
            ],
            createdRow: function(row, data, dataIndex) {
                $(row).find('.copy-btn').on('click', function() {
                    var cornUrl = $(this).data('url');
                    var tempInput = document.createElement("input");
                    document.body.appendChild(tempInput);
                    tempInput.value = cornUrl;
                    tempInput.select();
                    document.execCommand("copy");
                    document.body.removeChild(tempInput);
                    alert('Corn Job URL copied to clipboard!\n' + cornUrl);
                });
            },
            drawCallback: function(settings) {
                $('.dataTables_wrapper .dataTables_paginate').hide();
            },
            pageLength: -1,
        });

        // Get Order - Data Table
        var table = $('#get-order-data-table').DataTable({
            processing: false,
            serverSide: true,
            lengthChange: false,
            info: false,
            footer: false,
            ajax: {
                url: '{{ route('fetch_corn_getorder') }}',
                type: 'GET',
                beforeSend: function() {
                    $('.top-loader').show();
                },
                complete: function() {
                    $('.top-loader').hide();
                },
            },
            columns: [
                {
                    data: 'corn_name',
                    title: 'NAME OF CORN JOB',
                    className: 'text-left',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'corn_time',
                    title: 'Execution Time',
                    className: 'text-left',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'corn_url',
                    title: 'Corn Job URL',
                    className: 'text-left',
                    orderable: false,
                    searchable: false
                },
                {
                    data: '',
                    title: 'Copy url',
                    className: 'text-end',
                    orderable: false,
                    searchable: false,
                    render: function(data, type, row, meta) {
                        return '<span class="badge bg-light-success fs-6 float-end copy-btn" data-url="' + row.corn_url + '"><i class="fas fa-copy"></i> Copy</span>';
                    }
                }
            ],
            createdRow: function(row, data, dataIndex) {
                $('td', row).on('click', function() {
                    loadApiDetails(data.id);
                });
                $(row).find('.copy-btn').on('click', function(event) {
                    event.stopPropagation();
                    var cornUrl = $(this).data('url');
                    var tempInput = document.createElement("input");
                    document.body.appendChild(tempInput);
                    tempInput.value = cornUrl;
                    tempInput.select();
                    document.execCommand("copy");
                    document.body.removeChild(tempInput);
                    alert('Corn Job URL copied to clipboard!\n' + cornUrl);
                });
            },
            drawCallback: function(settings) {
                $('.dataTables_wrapper .dataTables_paginate').hide();
            },
            pageLength: -1,
        });

        // Auto Update Price - Data Table
        var table = $('#update-price-data-table').DataTable({
            processing: false,
            serverSide: true,
            lengthChange: false,
            info: false,
            footer: false,
            ajax: {
                url: '{{ route('fetch_corn_updateprice') }}',
                type: 'GET',
                beforeSend: function() {
                    $('.top-loader').show();
                },
                complete: function() {
                    $('.top-loader').hide();
                },
            },
            columns: [
                {
                    data: 'corn_name',
                    title: 'NAME OF CORN JOB',
                    className: 'text-left',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'corn_time',
                    title: 'Execution Time',
                    className: 'text-left',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'corn_url',
                    title: 'Corn Job URL',
                    className: 'text-left',
                    orderable: false,
                    searchable: false
                },
                {
                    data: '',
                    title: 'Copy Url',
                    className: 'text-end',
                    orderable: false,
                    searchable: false,
                    render: function(data, type, row, meta) {
                        return '<span class="badge bg-light-success fs-6 float-end copy-btn" data-url="' + row.corn_url + '"><i class="fas fa-copy"></i> Copy</span>';
                    }
                }
            ],
            createdRow: function(row, data, dataIndex) {
                $('td', row).on('click', function() {
                    loadApiDetails(data.id);
                });
                $(row).find('.copy-btn').on('click', function(event) {
                    event.stopPropagation();
                    var cornUrl = $(this).data('url');
                    var tempInput = document.createElement("input");
                    document.body.appendChild(tempInput);
                    tempInput.value = cornUrl;
                    tempInput.select();
                    document.execCommand("copy");
                    document.body.removeChild(tempInput);
                    alert('Corn Job URL copied to clipboard!\n' + cornUrl);
                });
            },
            drawCallback: function(settings) {
                $('.dataTables_wrapper .dataTables_paginate').hide();
            },
            pageLength: -1,
        });

        // Site Config - Data Table
        var table = $('#site-config-data-table').DataTable({
            processing: false,
            serverSide: true,
            lengthChange: false,
            info: false,
            footer: false,
            ajax: {
                url: '{{ route('fetch_corn_siteconfig') }}',
                type: 'GET',
                beforeSend: function() {
                    $('.top-loader').show();
                },
                complete: function() {
                    $('.top-loader').hide();
                },
            },
            columns: [
                {
                    data: 'corn_name',
                    title: 'NAME OF CORN JOB',
                    className: 'text-left',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'corn_time',
                    title: 'Execution Time',
                    className: 'text-left',
                    orderable: false,
                    searchable: false
                },
                {
                    data: 'corn_url',
                    title: 'Corn Job URL',
                    className: 'text-left',
                    orderable: false,
                    searchable: false
                },
                {
                    data: '',
                    title: 'Copy Url',
                    className: 'text-end',
                    orderable: false,
                    searchable: false,
                    render: function(data, type, row, meta) {
                        return '<span class="badge bg-light-success fs-6 float-end copy-btn" data-url="' + row.corn_url + '"><i class="fas fa-copy"></i> Copy</span>';
                    }
                }
            ],
            createdRow: function(row, data, dataIndex) {
                $(row).find('.copy-btn').on('click', function(event) {
                    event.stopPropagation();
                    var cornUrl = $(this).data('url');
                    var tempInput = document.createElement("input");
                    document.body.appendChild(tempInput);
                    tempInput.value = cornUrl;
                    tempInput.select();
                    document.execCommand("copy");
                    document.body.removeChild(tempInput);
                    alert('Corn Job URL copied to clipboard!\n' + cornUrl);
                });
            },
            drawCallback: function(settings) {
                $('.dataTables_wrapper .dataTables_paginate').hide();
            },
            pageLength: -1,
        });


    })
</script>
@endsection
