@guest('customer')
    {{-- Login Modal --}}
    <div class="modal fade modal-animate" id="login" tabindex="-1" aria-labelledby="login" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="loginLabel">Login/Register</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body login-form px-4">
                    <div class="mb-3 login-email">
                        <label for="login_email" class="form-label">Enter Your Email</label>
                        <div class="form-search">
                            <i class="fas fa-envelope text-muted fs-3"></i>
                            <input type="email" id="login_email" class="form-control" placeholder="Email" />
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-primary" id="login-otp-btn" type="submit"><i class="fas fa-sign-in-alt"></i> Login</button>
                </div>
            </div>
        </div>
    </div>
    @endauth
    @auth('customer')
        @if (auth('customer')->user()->name == '' || auth('customer')->user()->mobile == '')
        {{-- Profile Update Modal --}}
        <div class="modal fade modal-animate" id="updateProfileModal" tabindex="-1" aria-labelledby="loginLabel" aria-hidden="true" data-bs-backdrop="static" data-bs-keyboard="false">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="loginLabel">Update Your Profile</h5>
                    </div>
                    <div class="modal-body login-form px-4">
                        <div class="mb-3 login-profile-info">
                            <label for="login_name" class="form-label">Enter Your Name</label>
                            <div class="form-search">
                                <i class="fas fa-user text-muted fs-4"></i>
                                <input type="text" id="login_name" class="form-control" placeholder="Name" />
                            </div>
                        </div>
                        <div class="mb-3">
                            <label for="login_mobile" class="form-label">Enter Your Mobile Number</label>
                            <div class="form-search">
                                <i class="fas fa-phone text-muted fs-4"></i>
                                <input type="text" id="login_mobile" class="form-control" placeholder="Mobile" />
                            </div>
                        </div>
                        <div class="mb-3">
                            <label for="login_currency" class="form-label">Select Your Currency</label>
                            <div class="form-search">
                                <i class="fas fa-dollar-sign text-muted fs-4"></i>
                                <select id="login_currency" class="form-control">
                                    @foreach ($currencyList as $currency)
                                        <option value="{{$currency->code}}">{{$currency->code}}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" id="updateProfileBTN" type="submit"><i class="fas fa-sign-in-alt"></i> Update</button>
                    </div>
                </div>
            </div>
        </div>
        @endif
    @endauth
