@guest('customer')
<script>
    $(document).ready(function() {
        $(document).ready(function() {
            $('#login').on('hidden.bs.modal', function () {
                location.reload();
            });
        });
        // Function to handle focus and input logic for OTP fields
        function handleOtpInput() {
            const inputElements = $('input.code-input');
            inputElements.each(function(index) {
                $(this).on('keydown', function(e) {
                    if (e.keyCode === 8 && $(this).val() === '') {
                        const prevInput = inputElements.eq(Math.max(0, index - 1));
                        prevInput.focus();
                    }
                });
                $(this).on('input', function(e) {
                    const firstChar = $(this).val().charAt(0);
                    $(this).val(firstChar);
                    const lastInputBox = index === inputElements.length - 1;
                    const didInsertContent = firstChar !== '';
                    if (didInsertContent && !lastInputBox) {
                        const nextInput = inputElements.eq(index + 1);
                        nextInput.focus();
                        nextInput.val($(this).val().slice(1));
                        nextInput.trigger('input');
                    }
                });
            });
        }
        handleOtpInput();
        function reloadLoginPage() {
            var countdown = 3;
            var loginSuccessButton = $('#login-success');
            loginSuccessButton.html('<i class="fas fa-check-circle"></i> Login Success (' + countdown + ')');
            var interval = setInterval(function() {
                countdown--;
                loginSuccessButton.html('<i class="fas fa-check-circle"></i> Login Success (' + countdown + ')');
                if (countdown <= 0) {
                    clearInterval(interval);
                    location.reload();
                }
            }, 1000);
            setTimeout(function() {
                location.reload();
            }, 3000);
        }
        $('#login-otp-btn').on('click', function(e) {
            e.preventDefault();
            const formData = {
                loginEmail: $('#login_email').val(),
                _token: '{{ csrf_token() }}'
            };
            if (!formData.loginEmail) {
                new Notify({
                    status: 'error',
                    text: 'Email is required.',
                    effect: 'fade',
                    speed: 300,
                    showIcon: true,
                    showCloseButton: false,
                    autoclose: true,
                    autotimeout: 3000,
                    position: 'left bottom',
                    type: 'filled',
                });
                return false;
            }
            const loadingButton = `
                <button class="btn btn-primary btn-loader" type="button">
                    <span class="spinner-border spinner-border-sm" role="status"></span> Sending OTP...
                </button>
            `;
            const loginAttemptButton = `
                <button class="btn btn-primary" id="login-attempt-btn" type="submit"><i class="fas fa-sign-in-alt"></i> Login Now</button>
            `;
            const otpInput = `
                <div class="mb-3 login-otp ">
                    <label for="login_opt" class="form-label">Enter 8 Digit OTP</label>
                    <div class="row text-center px-1 otp-section-inputs">
                        <div class="col px-2"><input type="number" class="form-control text-center code-input" id="otp1" /></div>
                        <div class="col px-1"><input type="number" class="form-control text-center code-input" id="otp2" /></div>
                        <div class="col px-1"><input type="number" class="form-control text-center code-input" id="otp3" /></div>
                        <div class="col px-1"><input type="number" class="form-control text-center code-input" id="otp4" /></div>
                        <div class="col px-1"><input type="number" class="form-control text-center code-input" id="otp5" /></div>
                        <div class="col px-1"><input type="number" class="form-control text-center code-input" id="otp6" /></div>
                        <div class="col px-1"><input type="number" class="form-control text-center code-input" id="otp7" /></div>
                        <div class="col px-1"><input type="number" class="form-control text-center code-input" id="otp8" /></div>
                    </div>
                </div>
            `;
            $.ajax({
                url: '{{route('customer_login')}}',
                method: 'POST',
                data: formData,
                beforeSend: function() {
                    $('.top-loader').show();
                    $('#login .modal-footer').append(loadingButton);
                    $('#login-otp-btn').hide();
                },
                complete: function() {
                    $('.top-loader').hide();
                    $('#login .modal-footer .btn-loader').remove();
                },
                success: function(response) {
                    if(response.success){
                        if (response.showOTP) {
                            $('.login-form').append(otpInput);
                            $('#login .modal-footer').append(loginAttemptButton);
                            $('#login_email').prop('readonly', true);
                            $('#otp1').focus();
                            handleOtpInput();
                        }
                        else{
                            $('#login-otp-btn').show();
                        }
                    }
                    else{
                        $('#login-otp-btn').show();
                        new Notify({
                            status: 'error',
                            text: response.message,
                            effect: 'fade',
                            speed: 300,
                            showIcon: true,
                            showCloseButton: false,
                            autoclose: true,
                            autotimeout: 3000,
                            position: 'left bottom',
                            type: 'filled',
                        });
                    }
                },
                error: function(xhr, status, error) {
                    new Notify({
                        status: 'error',
                        text: error,
                        effect: 'fade',
                        speed: 300,
                        showIcon: true,
                        showCloseButton: false,
                        autoclose: true,
                        autotimeout: 3000,
                        position: 'left bottom',
                        type: 'filled',
                    });
                    $('#login-otp-btn').show();
                }
            });
        });
        $(document).on('click', '#login-attempt-btn', function(e) {
            e.preventDefault();
            const loadingButton = `
                <button class="btn btn-primary btn-loader" type="button">
                    <span class="spinner-border spinner-border-sm" role="status"></span> Loading...
                </button>
            `;
            const loginSuccessButton = `
                <button class="btn btn-primary" id="login-success" type="submit"><i class="fas fa-check-circle"></i> Login Success</button>
            `;
            const profileUpButton = `
                <button class="btn btn-primary" id="login-profile-up-btn" type="submit"><i class="fas fa-check-circle"></i> Update</button>
            `;
            const profileUpdate = `
                <div class="mb-3 login-profile-info">
                    <label for="login_name" class="form-label">Enter Your Name</label>
                    <div class="form-search">
                        <i class="fas fa-user text-muted fs-4"></i>
                        <input type="text" id="login_name" class="form-control" placeholder="Name" />
                    </div>
                </div>
                <div class="mb-3">
                    <label for="login_mobile" class="form-label">Enter Your Mobile Number</label>
                    <div class="form-search">
                        <i class="fas fa-phone text-muted fs-4"></i>
                        <input type="text" id="login_mobile" class="form-control" placeholder="Mobile" />
                    </div>
                </div>
                <div class="mb-3">
                    <label for="login_currency" class="form-label">Select Your Currency</label>
                    <div class="form-search">
                        <i class="fas fa-dollar-sign text-muted fs-4"></i>
                        <select id="login_currency" class="form-control">
                        </select>
                    </div>
                </div>
            `;
            const formData = {
                Email: $('#login_email').val(),
                OTP1: $('#otp1').val(),
                OTP2: $('#otp2').val(),
                OTP3: $('#otp3').val(),
                OTP4: $('#otp4').val(),
                OTP5: $('#otp5').val(),
                OTP6: $('#otp6').val(),
                OTP7: $('#otp7').val(),
                OTP8: $('#otp8').val(),
                _token: '{{ csrf_token() }}'
            };
            let missingFields = [];
            if (!formData.Email) {
                missingFields.push('The Email');
            }
            if (!formData.OTP1) {
                missingFields.push('The first');
            }
            if (!formData.OTP2) {
                missingFields.push('The second');
            }
            if (!formData.OTP3) {
                missingFields.push('The third');
            }
            if (!formData.OTP4) {
                missingFields.push('The fourth');
            }
            if (!formData.OTP5) {
                missingFields.push('The fifth');
            }
            if (!formData.OTP6) {
                missingFields.push('The sixth');
            }
            if (!formData.OTP7) {
                missingFields.push('The seven');
            }
            if (!formData.OTP8) {
                missingFields.push('The eighth');
            }
            if (missingFields.length > 0) {
                let message = missingFields.join(', ') + ' number of OTP is required';
                new Notify({
                    status: 'error',
                    text: message,
                    effect: 'fade',
                    speed: 300,
                    showIcon: true,
                    showCloseButton: false,
                    autoclose: true,
                    autotimeout: 3000,
                    position: 'left bottom',
                    type: 'filled',
                });
                return false;
            }
            $.ajax({
                url: '{{route('customer_login_attempt')}}',
                method: 'POST',
                data: formData,
                beforeSend: function() {
                    $('.top-loader').show();
                    $('#login .modal-footer').append(loadingButton);
                    $('#login-attempt-btn').hide();
                },
                complete: function() {
                    $('.top-loader').hide();
                    $('#login .modal-footer .btn-loader').remove();
                },
                success: function(response) {
                    if(response.success){
                        if(response.updatedata){
                            $('.login-form').append(profileUpdate);
                            $('#login .modal-footer').append(profileUpButton);
                            $('.login-email').hide();
                            $('.login-otp').hide();
                            $('#login_name').focus();
                            var currencies = response.currency;
                            var currencySelect = $('#login_currency');
                            currencySelect.empty();
                            currencySelect.append('<option value="" disabled selected>Select your currency</option>');
                            currencies.forEach(function(currency) {
                                var option = new Option(currency.code + ' - ' + currency.name, currency.code);
                                currencySelect.append(option);
                            });
                        } else{
                            $('#login .modal-footer').append(loginSuccessButton);
                            reloadLoginPage();
                        }
                    } else {
                        $('#login-attempt-btn').show();
                        new Notify({
                            status: 'error',
                            text: response.message,
                            effect: 'fade',
                            speed: 300,
                            showIcon: true,
                            showCloseButton: false,
                            autoclose: true,
                            autotimeout: 3000,
                            position: 'left bottom',
                            type: 'filled',
                        });
                    }
                },
                error: function(xhr, status, error) {
                    alert('Error occurred while adding: ' + error);
                }
            });
        });
        $(document).on('click', '#login-profile-up-btn', function(e) {
            e.preventDefault();
            const loadingButton = `
                <button class="btn btn-primary btn-loader" type="button">
                    <span class="spinner-border spinner-border-sm" role="status"></span> Saving...
                </button>
            `;
            const loginSuccessButton = `
                <button class="btn btn-primary" id="login-success" type="submit"><i class="fas fa-check-circle"></i> Login Success</button>
            `;
            const formData = {
                Name: $('#login_name').val(),
                Mobile: $('#login_mobile').val(),
                Currency: $('#login_currency').val(),
                _token: '{{ csrf_token() }}'
            };
            let missingFields = [];
            if (!formData.Name) {
                missingFields.push('Name');
            }
            if (!formData.Mobile) {
                missingFields.push('Mobile');
            }
            if (!formData.Currency) {
                missingFields.push('Currency');
            }
            if (missingFields.length > 0) {
                let message = missingFields.join(', ') + ' is required';
                new Notify({
                    status: 'error',
                    text: message,
                    effect: 'fade',
                    speed: 300,
                    showIcon: true,
                    showCloseButton: false,
                    autoclose: true,
                    autotimeout: 3000,
                    position: 'left bottom',
                    type: 'filled',
                });
                return false;
            }
            $.ajax({
                url: '{{route('customer_update_profile')}}',
                method: 'POST',
                data: formData,
                beforeSend: function() {
                    $('.top-loader').show();
                    $('#login .modal-footer').append(loadingButton);
                    $('#login-profile-up-btn').hide();
                },
                complete: function() {
                    $('.top-loader').hide();
                    $('#login .modal-footer .btn-loader').remove();
                },
                success: function(response) {
                    if(response.success){
                        $('#login .modal-footer').append(loginSuccessButton);
                        reloadLoginPage();
                    }
                },
                error: function(xhr, status, error) {
                    alert('Error occurred while adding: ' + error);
                }
            });
        });
    });
</script>
@endauth

@auth('customer')
    @if (auth('customer')->user()->name == '' || auth('customer')->user()->mobile == '')
    <script>
        $(document).ready(function() {

            $('#updateProfileModal').modal('show');

            function reloadLoginPage() {
                location.reload();
            }

            $(document).on('click', '#updateProfileBTN', function(e) {
                e.preventDefault();
                const loadingButton = `
                    <button class="btn btn-primary btn-loader" type="button">
                        <span class="spinner-border spinner-border-sm" role="status"></span> Saving...
                    </button>
                `;
                const loginSuccessButton = `
                    <button class="btn btn-primary" id="login-success" type="submit"><i class="fas fa-check-circle"></i> Login Success</button>
                `;
                const formData = {
                    Name: $('#login_name').val(),
                    Mobile: $('#login_mobile').val(),
                    Currency: $('#login_currency').val(),
                    _token: '{{ csrf_token() }}'
                };
                let missingFields = [];
                if (!formData.Name) {
                    missingFields.push('Name');
                }
                if (!formData.Mobile) {
                    missingFields.push('Mobile');
                }
                if (!formData.Currency) {
                    missingFields.push('Currency');
                }
                if (missingFields.length > 0) {
                    let message = missingFields.join(', ') + ' is required';
                    new Notify({
                        status: 'error',
                        text: message,
                        effect: 'fade',
                        speed: 300,
                        showIcon: true,
                        showCloseButton: false,
                        autoclose: true,
                        autotimeout: 3000,
                        position: 'left bottom',
                        type: 'filled',
                    });
                    return false;
                }
                $.ajax({
                    url: '{{route('customer_update_profile')}}',
                    method: 'POST',
                    data: formData,
                    beforeSend: function() {
                        $('.top-loader').show();
                        $('#login .modal-footer').append(loadingButton);
                        $('#login-profile-up-btn').hide();
                    },
                    complete: function() {
                        $('.top-loader').hide();
                        $('#login .modal-footer .btn-loader').remove();
                    },
                    success: function(response) {
                        if(response.success){
                            $('#login .modal-footer').append(loginSuccessButton);
                            reloadLoginPage();
                        }
                    },
                    error: function(xhr, status, error) {
                        alert('Error occurred while adding: ' + error);
                    }
                });
            });
        })
    </script>
    @endif
@endauth
