<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.2/font/bootstrap-icons.min.css">
  <style>
    *,
    ::before,
    ::after {
    box-sizing: border-box;
    border-width: 0;
    border-style: solid;
    border-color: #e5e7eb;
    }
    ::before,
    ::after {
    --tw-content: '';
    }
    html {
    line-height: 1.5;
    -webkit-text-size-adjust: 100%;
    -moz-tab-size: 4;
    tab-size: 4;
    font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-feature-settings: normal;
    font-variation-settings: normal;
    }
    body {
    margin: 0;
    line-height: inherit;
}
    hr{
        border-top: 1px solid #e5e8ef;
    }
    p{
        font-size: 17px;
    }
    .main-bg{
        background-color: #f6f8fc;
        width: 100%;
        padding: 1px
    }
    .content{
        width: 600px;
        padding: 20px 0;
        margin: 20px auto;
        background-color: #eff3fb;
        border: 1px solid #21b68e;
        border-radius: 4px;
        box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    }
    @media only screen and (max-width: 600px) {
    .main-bg {
        background-color: white;
        padding: 0;
    }
    .content {
        width: 100%;
    }
    p{
        line-height: 1.6;
        font-size: 15px;
    }
    }
    .logo-content{
        text-align: center;
        padding: 10px;
    }
    .logo{
        font-weight: 600;
        font-size: 20px;
        text-transform: uppercase;
        font-family: 'Google Sans';
    }
    .otp-content{
        padding: 20px 25px;
    }
    .otp{
        font-size: 19px;
        font-weight: 600;
        border-bottom: 1px solid grey;
    }
    .footer-content{
        padding: 1px;
        text-align: center;
    }
  </style>
</head>
@php
    $year = date('Y');
@endphp
<body>
    <div class="main-bg">
        <div class="content">
            <div class="logo-content">
                <div class="logo">{{$site_title}}</div>
            </div>
            <hr>
            <div class="otp-content">
                <p>Your GSM Manager Login OTP is <span class="otp">{{$otp}}</span></p>
                <p>OTP will expire in 10 minutes, then you need to send it again. Don't share this OTP with anyone.</p>
                <p>Thanks for interesting to GSM Manager. We are very happy about that.</p>
            </div>
            <hr>
            <div class="footer-content">
                <p><a href="https://gsmmanager.com/" target="_blank">Firmware</a> | <a href="https://gsmmanager.com/category/service" target="_blank">Tool Activation</a> | <a href="https://gsmmanager.com/page/term-and-condition" target="_blank">Term and Condition</a></p>
                <p>© {{$year}} GSM Manager. Powered by GSMOfficial.</p>
            </div>
        </div>
    </div>
</body>

</html>
