@extends('layouts.frontend')
@section('content')
    <div class="container">
        <div class="card rounded-0">
            <div class="card-header pt-3 pb-2">
                <h1 class="display-1 fs-3">{{$serviceData->title}}</h1>
                <small>
                    <nav  aria-label="breadcrumb" style="--bs-breadcrumb-divider: '>'">
                        <ol class="breadcrumb mt-2 mb-0 pb-0">
                        <li class="breadcrumb-item"><a href="{{route('home')}}" class="breadcrumb-item active">Home</a></li>
                        <li class="breadcrumb-item"><a href="{{$serverUrl}}" class="breadcrumb-item active">{{$serverType}}</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Place an order</li>
                        </ol>
                    </nav>
                </small>
            </div>
            <div class="card-body p-3 p-lg-0">
                <div class="row">
                    <div class="col-lg-6 col-12 pe-0" >
                        <div class="ps-4 pt-4 pe-4 pb-4">
                            <div class="table-responsive" >
                                <table class="table mb-4 fw-medium">
                                    <tbody class="border-bottom">
                                        <tr>
                                            <td class="border-top-0 ps-0 pt-2 text-muted">Service Price</td>
                                            <td class="border-top-0 pt-2 text-muted text-end pe-0">
                                                @if ($serviceData->free_service)
                                                    Free
                                                @elseif ($serviceData->allow_qnt)
                                                    {{$currencyIcon}}{{$Price}} / Per Qnt
                                                @else
                                                    {{$currencyIcon}}{{$Price}}
                                                @endif
                                            </td>
                                        </tr>
                                        @if ($serviceData->duration)
                                            <tr>
                                                <td class="ps-0 text-muted">Service Duration</td>
                                                <td class="text-muted text-end pe-0">{{$serviceData->duration}}</td>
                                            </tr>
                                        @endif
                                        @if ($serviceData->delivery_time)
                                            <tr>
                                                <td class="ps-0 text-muted">Delivery Time</td>
                                                <td class="text-muted text-end pe-0">{{$serviceData->delivery_time}}</td>
                                            </tr>
                                        @endif
                                        @if ($serviceData->tool_download)
                                            <tr>
                                                <td class="ps-0 text-muted">Download Tool</td>
                                                <td class="text-muted text-end pe-0"><a class="badge bg-light-primary py-2" style="width:100px" href="{{$serviceData->tool_download}}" target="_blank"><i class="fas fa-cloud-download-alt"></i> Download</a></td>
                                            </tr>
                                        @endif
                                        @if ($serviceData->login_url)
                                            <tr>
                                                <td class="ps-0 text-muted">Tool's Login</td>
                                                <td class="text-muted text-end pe-0"><a class="badge bg-light-primary py-2" style="width:100px" href="{{$serviceData->login_url}}" target="_blank"><i class="fas fa-external-link-alt"></i> Login</a></td>
                                            </tr>
                                        @endif
                                        @if ($serviceData->register_url)
                                            <tr>
                                                <td class="ps-0 pb-0 text-muted">Tool's Register</td>
                                                <td class="text-muted text-end pe-0"><a class="badge bg-light-primary py-2" style="width:100px" href="{{$serviceData->register_url}}" target="_blank"><i class="fas fa-external-link-alt"></i> Register</a></td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                            @if ($serviceData->allow_qnt)
                            <div class="mb-3">
                                <label class="form-label" for="Quantity">Quantity (Range should be <strong>{{$serviceData->min_qnt}}</strong> - <strong>{{$serviceData->max_qnt}}</strong>)</label>
                                <div class="input-group">
                                <input type="number" class="form-control quantity-input" id="Quantity" placeholder="Quantity" value="{{$serviceData->min_qnt}}" min="{{$serviceData->min_qnt}}" max="{{$serviceData->max_qnt}}" />
                                <span class="input-group-text justify-content-center calculated-amount" style="min-width: 100px"></span>
                                </div>
                            </div>
                            @endif
                            @if (count($serviceInputs) != 0)
                            <div class="mb-4">
                                @foreach ($serviceInputs as $index => $serviceInput)
                                    @if ($chimeraBtn && $loop->first)
                                        <div class="mb-3">
                                            <label class="form-label" for="fields.{{ $index }}">Enter {{$serviceInput->name}}</label>
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <input type="text" class="form-control" name="{{$serviceInput->name}}" id="fields.{{ $index }}" placeholder="{{$serviceInput->name}}">
                                                </div>
                                                <div class="col-md-6">
                                                    <button id="chimera-check-user-button" class="w-100 rounded" style="height: 48px">&nbsp;</button>
                                                </div>
                                            </div>
                                        </div>
                                    @else
                                        <div class="mb-3">
                                            <label class="form-label" for="fields.{{ $index }}">Enter {{$serviceInput->name}}</label>
                                            <input type="text" class="form-control" name="{{$serviceInput->name}}" id="fields.{{ $index }}" placeholder="{{$serviceInput->name}}">
                                        </div>
                                    @endif
                                @endforeach
                            </div>
                            @endif
                            @if (count($serviceTags) != 0)
                                <div class="mb-4 pb-3 pt-2 border-top border-bottom table-responsive">
                                    @foreach ($serviceTags as $tag)
                                        @if ($tag == 'Process by')
                                        <span class="badge bg-light-secondary pt-2 mt-2 border">{{$serviceData->process_type}}</span>
                                        @else
                                            <span class="badge bg-light-secondary pt-2 mt-2 border">{{$tag}}</span>
                                        @endif
                                    @endforeach
                                </div>
                            @endif
                            <div class="mb-4">
                                <div class="form-check">
                                    <input class="form-check-input" id="form-check-input" type="checkbox" value="" {{$toc}} required />
                                    <label class="form-check-label" for="form-check-input">I agree to <a href="#">terms and conditions</a></label>
                                    <div class="invalid-feedback">You must agree before submitting.</div>
                                </div>
                            </div>
                            <div class="show-error-message"></div>
                            <div class="mb-1">
                                <button id="placeOrderBtn" class="btn btn-primary rounded w-100 place-order"><i class="fas fa-cart-plus"></i> Place an Order</button>
                                <button class="btn btn-primary rounded place-order-loader w-100" type="button" disabled style="display: none" >
                                    <span class="spinner-border spinner-border-sm" role="status"></span>
                                    Loading...
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6 col-12 ps-0 service-view-rcontent custom-lg-left-border m-border-top">
                        @include('frontend.include.servicetabhtml')
                    </div>
                </div>
            </div>
        </div>
        {{-- Article --}}
        @if ($serviceData->article)
        <div class="card mt-4 rounded-0">
            <div class="card-body">
                {!! $serviceData->article !!}
            </div>
        </div>
        @endif
    </div>
    @auth('customer')
        @include('frontend.include.gatewaymodal')
        @include('frontend.include.ordersuccessmodal')
    @endauth
@endsection
@section('seo')
    <title>{{$serviceData->title . ' - ' . $siteTitle}}</title>
    <meta name="description" content="{{$serviceData->meta_description}}"/>
    <meta name="keywords" content="{{$keyWord}}"/>
@endsection
@section('footer_script')
    @if ($chimeraBtn)
        <script type="text/javascript">
            var chimeraConfig = {};
            chimeraConfig.hash = 'a5732bca0b7f3141bda2e826091fd674'; // required
            chimeraConfig.usernameElementId = 'fields.0';
            chimeraConfig.usernameElementName = 'username';
            // Disable button initially
            document.getElementById("placeOrderBtn").disabled = true;
            var s = document.createElement("script");
            s.type = "text/javascript";
            s.src = "https://data.chimeratool.com/init-reseller-transaction.js?v=" + Date.now();
            document.head.appendChild(s);
            document.addEventListener("chimeraAuthSuccess", function (e) {
                document.getElementById("placeOrderBtn").disabled = false;
            });
        </script>
    @endif
    @auth('customer')
        <script>
            // Initialize Update Gateway name + Charge + Pay Amount in Payment Modal
            function updateGatewayName(usdPrice) {
                var selectedGateway = $('input[name="payment_methode"]:checked').siblings('.checkbox-tile').find('.checkbox-label').text();
                var charges = @json($activeGateway);
                var currencies = @json($currencyList);
                var gatewayData = charges.find(gateway => gateway.NAME === selectedGateway);
                var gatewayCharge = gatewayData ? gatewayData.CHARGE : 0;
                var gatewayCurrency = gatewayData ? gatewayData.CURRENCY_CODE : 'USD';
                var currencyData = currencies.find(currency => currency.code === gatewayCurrency);
                var currencyRate = currencyData ? currencyData.rate : 1;
                var currencyIcon = currencyData ? currencyData.icon : '$';
                // Calculate the price after currency conversion
                var Price = (currencyRate * usdPrice);
                // Calculate the gateway charge percentage
                var gatewayChargePercentage = (gatewayCharge * Price) / 100;
                // Calculate the total price including the gateway charge
                var mainPrice = Price + gatewayChargePercentage;
                // Format the values to two decimal places
                Price = Price.toFixed(2);
                gatewayChargePercentage = gatewayChargePercentage.toFixed(2);
                mainPrice = mainPrice.toFixed(2);
                // Update the DOM with the calculated values
                $('#gatewayName').text(selectedGateway);
                $('#gatewayName2').text(selectedGateway);
                $('#payGatewayName').text(selectedGateway);
                $('#ServicePrice').text(currencyIcon + Price);
                $('#gatewayCharge').text('(' + gatewayCharge + '%)');
                $('#gatewayChargePercentage').text(currencyIcon + gatewayChargePercentage);
                $('#totalPrice').text(currencyIcon + mainPrice);
            }
            // Create Order
            $(document).off('click').on('click', '.place-order', function (e) {
                e.preventDefault();
                const formData = {
                    _token: '{{ csrf_token() }}',
                    serviceID: '{{ $serviceData->id }}',
                    Quantity: $('#Quantity').val(),
                };
                // Capture all input fields
                $('input[id^="fields"]').each(function () {
                    const fieldName = $(this).attr('placeholder');
                    const fieldValue = $(this).val().trim();
                    formData[fieldName] = fieldValue;
                });
                let missingFields = [];
                @if ($serviceData->allow_qnt)
                    const quantity = $('#Quantity').val();
                    const minQty = {{ $serviceData->min_qnt }};
                    const maxQty = {{ $serviceData->max_qnt }};
                    if (!quantity) {
                        missingFields.push('Quantity is required.');
                    } else if (quantity < minQty || quantity > maxQty) {
                        missingFields.push(`Quantity must be between ${minQty} and ${maxQty}.`);
                    }
                @endif
                // Check for other empty fields (except _token & Quantity — already handled)
                Object.entries(formData).forEach(([key, value]) => {
                    if (!value && key !== '_token' && key !== 'Quantity') {
                        missingFields.push(`${key} is required.`);
                    }
                });
                // Terms check
                const termsAccepted = $('.form-check-input').is(':checked');
                if (!termsAccepted) {
                    missingFields.push('You must agree to the Terms and Conditions.');
                }
                // Show error if any
                if (missingFields.length > 0) {
                    const errorMessage = `<div class="alert alert-danger" role="alert">${missingFields.join('<br>')}</div>`;
                    $('.show-error-message').html(errorMessage);
                    return false;
                }
                const jsonData = JSON.stringify(formData);
                $.ajax({
                    url: '{{route('create_order')}}',
                    type: 'POST',
                    contentType: 'application/json',
                    data: jsonData,
                    beforeSend: function() {
                        $('.top-loader').show();
                        $('.place-order').hide();
                        $('.place-order-loader').show();
                    },
                    complete: function() {
                        $('.top-loader').hide();
                        $('.place-order').show();
                        $('.place-order-loader').hide();
                    },
                    success: function (response) {
                        if(response.inputserror){
                            const errorMessage = `<div class="alert alert-danger" role="alert">${response.message}</div>`;
                            $('.show-error-message').html(errorMessage);
                        }
                        if(response.gateway){
                            $('#paygateway').modal('show');
                            let content = '';
                            response.orderInputs.forEach(input => {
                                content += `
                                    <tr>
                                        <td class="border-top-0 border-bottom ps-0 pt-2">${input.field_name}</td>
                                        <td class="border-top-0 border-bottom pt-2 text-end pe-0">${input.field_value}</td>
                                    </tr>
                                `;
                            });
                            $('#modalInputs tbody').html(content);
                            $('#orderID').val(response.orderid);
                            const usdPrice = response.usdPrice;
                            updateGatewayName(usdPrice);
                            $('input[name="payment_methode"]').on('change', function() {
                                updateGatewayName(usdPrice);
                            });
                        }
                        if(response.success){
                            $('input[type="text"]').each(function() {
                                $(this).val('');
                            });
                            $('textarea').each(function() {
                                $(this).val('');
                            });
                            $('select').each(function() {
                                $(this).prop('selectedIndex', 0);
                            });
                            $('#form-check-input').prop('checked', false);
                            $('#orderSuccess').modal('show');
                            $('.view-order-history-url').attr('href', response.redirectUrl);
                        }
                        if(response.error){
                            notifier.show('ERROR', response.message, 'danger', '/resource/high_priority-48.png', 10000);
                        }
                    },
                    error: function (error) {
                        notifier.show('ERROR', 'Error: ' + error, 'danger', '/resource/high_priority-48.png', 10000);
                    }
                });
                // Loader for Payment Gateway
                $(document).on('click', '.payment-gateway-btn', function (e) {
                    $('.top-loader').show();
                    $('.payment-gateway-btn').hide();
                    $('.payment-gateway-loader').show();
                });
            });
        </script>
    @else
        <script>
            $(document).off('click').on('click', '.place-order', function (e) {$('#login').modal('show');});
        </script>
    @endauth
    <script>
        function calculateCreditPrice() {
            var qntPrice = parseFloat({{ $Price }});
            var icon = "{{ $currencyIcon }}";
            var qnt = parseInt($('.quantity-input').val());
            var minQnt = parseInt({{ $serviceData->min_qnt }});
            var maxQnt = parseInt({{ $serviceData->max_qnt }});
            if (isNaN(qnt)) {
                qnt = minQnt;
            }
            var calculatedPrice = qntPrice * qnt;
            calculatedPrice = calculatedPrice.toFixed(2);
            @if ($serviceData->free_service)
                $('.calculated-amount').text('Free');
            @else
                $('.calculated-amount').text(icon + calculatedPrice);
            @endif
        }
        $(document).ready(function() {
            $('input[type="number"]').first().focus();
            calculateCreditPrice();
            $(document).on('input', '.quantity-input', function() {
                var qnt = $(this).val();
                if (qnt.length > 6) {
                    $(this).val(qnt.slice(0, 6));
                }
                calculateCreditPrice();
            });
        });
    </script>
    @include('frontend.include.servicetabjs')
@endsection

