@isset($themMode)
  <!doctype html>
  <html lang="en" data-pc-theme="{{ $themMode }}" translate="no">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    @yield('seo')
    <link rel="canonical" href="{{ url()->current() }}" />
    <meta name="author" content="GSM Theme" />
    <link rel="icon" href="{{ $siteFav }}" type="image/x-icon" />
    <link rel="stylesheet" href="{{ asset('frontend/css/stylesheet.css') }}" id="main-style-link" />
    <link rel="stylesheet" href="{{ asset('frontend/css/gsmthemstyle.css') }}" id="main-style-link" />
    <link rel="stylesheet" href="{{ asset('frontend/css/loader.css') }}" id="main-style-link" />
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('frontend/css/plugins/style.css') }}" id="main-style-link" />
    <link rel="stylesheet" href="{{ asset('frontend/css/style-preset.css') }}" />
    <link rel="stylesheet" href="{{ asset('frontend/css/notifier.css') }}">
    <link rel="stylesheet" href="{{ asset('frontend/css/choices.min.css') }}">
    <link rel="stylesheet" href="{{ asset('frontend/css/jquery.dataTables.min.css') }}">
    <link rel="stylesheet" href="{{ asset('frontend/css/custom-animation.css') }}">
    <script src="{{ asset('frontend/js/lottie-player.js') }}"></script>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    @if ($headerCode)
      {!! $headerCode !!}
    @endif
  </head>
  <body data-pc-preset="{{ $themeColor }}" data-pc-sidebar-caption="true" data-pc-direction="ltr"
    data-pc-theme_contrast="" data-pc-theme="{{ $themMode }}">
    <div class="loader-bg" style="background: {{ $themMode === 'dark' ? '#131920' : '#f8f9fa' }};">
      <div class="loader-track">
        <div class="top-loader">
          <div class="loader-bar"></div>
        </div>
      </div>
    </div>
    <div class="top-loader" style="display:none;">
      <div class="loader-bar"></div>
    </div>
    {{-- Header --}}
    <header class="d-block p-0 border-bottom overflow-visible bg-white text-muted">
      <nav class="navbar-expand-lg navbar-light default d-block py-0 bg-white">
        <div class="top-navbar py-2 d-none d-lg-block bg-primary text-white ">
          <div class="container d-flex">
            <div class="nav-item px-1 dropdown">
              <ul class="navbar-nav ms-auto">
                <li class="nav-item dropdown">
                  <div class="dropdown-toggle" data-bs-toggle="dropdown" style="cursor: pointer"><i
                    class="fas fa-phone"></i> Contact us <i class="fas fa-chevron-down ps-1"
                    style="font-size: 0.7rem;"></i></div>
                  <div class="dropdown-menu drp-technology nav-drp-tech-scrollble">
                      @if ($siteWaUrl)
                        <a class="dropdown-item gap-2" href="{{ $siteWaUrl }}" target="_blank"><i class="fab fa-whatsapp"></i> Whatsapp</a>
                      @endif
                      @if ($siteTeleUrl)
                          <a class="dropdown-item gap-2" href="{{ $siteTeleUrl }}" target="_blank"><i class="fab fa-telegram-plane"></i> Telegram</a>
                      @endif
                      @if ($siteFbUrl)
                          <a class="dropdown-item gap-2" href="{{ $siteFbUrl }}" target="_blank"><i class="fab fa-facebook"></i> Facebook</a>
                      @endif
                  </div>
                </li>
              </ul>
            </div>
            <div class="navbar-collapse">
              @if (Auth::guard('customer')->check())
                <ul class="navbar-nav ms-auto">
                  @if ($themMode == 'dark')
                      <li class="nav-itemn"><a href="{{ route('change_theme_mode') }}" class="text-reset"><i class="fas fa-moon fs-5"></i></a></li>
                  @else
                      <li class="nav-itemn"><a href="{{ route('change_theme_mode') }}" class="text-reset"><i class="fas fa-sun fs-5"></i></a></li>
                  @endif
                  <li class="nav-itemn border-start border-light-primary p-l-15 m-l-15"><a class="text-reset" href="{{ route('customer_order_history') }}">Order History</a></li>
                  <li class="nav-itemn border-start border-light-primary p-l-15 m-l-15"><a class="text-reset" href="{{ route('customer_add_balance') }}">Balance:
                    {{ round(Auth::guard('customer')->user()->balance, 2) }}
                    {{ App\Models\Currency::where('code', Auth::guard('customer')->user()->currency)->first()->icon }}</a>
                  </li>
                </ul>
              @else
                <ul class="navbar-nav ms-auto ">
                  <li class="nav-item p-l-15 m-l-15 dropdown">
                    <div class="dropdown-toggle" data-bs-toggle="dropdown">{{ $defaultCurrency->icon }}
                      {{ $defaultCurrency->code }} <i class="fas fa-chevron-down ps-1"
                          style="font-size: 0.7rem;"></i></div>
                    <div class="dropdown-menu drp-technology nav-drp-tech-scrollble" style="min-width: auto">
                      @foreach ($currencyList as $currency)
                        <a class="dropdown-item gap-2"
                            href="{{ route('update_default_currency', [$currency->name, $currency->code]) }}">
                            {{ $currency->icon }} {{ $currency->code }}</a>
                      @endforeach
                    </div>
                  </li>
                </ul>
              @endif
            </div>
          </div>
        </div>
        <div class="container py-3 d-flex gap-4 align-items-center">
          <button class="navbar-toggler rounded fs-2 text-primary" type="button" data-bs-toggle="offcanvas"
            data-bs-target="#menuOffcanvas" aria-controls="menuOffcanvas" aria-expanded="false"
            aria-label="Toggle navigation" style="outline: none; box-shadow: none;">
            <i class="fas fa-bars"></i>
          </button>
          <a class="navbar-brand" href="{{ route('home') }}">
            <img src="{{ $siteLogo }}" alt="logo" style="max-width: 250px; max-height:40px" />
          </a>
          <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0 align-items-center">
              @foreach ($fmenus as $menu)
                <li
                  class="menu-item me-4 pe-4 border-end {{ $menu->fchildren->count() ? 'dropdown' : '' }}">
                  @if ($menu->fchildren->count())
                    <a href="#"
                      class="dropdown-toggle d-flex align-items-center gap-1 nav-link fw-medium"
                      data-bs-toggle="dropdown">
                      {{ $menu->name }} <i class="fas fa-chevron-down ps-1"
                          style="font-size: 0.7rem;"></i>
                    </a>
                    <ul class="dropdown-menu">
                      @foreach ($menu->fchildren as $child)
                          <li><a class="dropdown-item fw-medium"
                                  href="{{ $child->slug }}">{{ $child->name }}</a></li>
                      @endforeach
                    </ul>
                  @else
                    <a href="{{ $menu->slug }}" class="nav-link fw-medium">{{ $menu->name }}</a>
                  @endif
                </li>
              @endforeach
              @if (Auth::guard('customer')->check())
                <li class="menu-item dropdown">
                  <a href="#"
                    class="dropdown-toggle d-flex align-items-center gap-1 nav-link fw-medium"
                    data-bs-toggle="dropdown">
                    {{ Auth::guard('customer')->user()->name }}
                    ({{ Auth::guard('customer')->user()->role }}) <i class="fas fa-chevron-down ps-1"
                        style="font-size: 0.7rem;"></i>
                  </a>
                  <ul class="dropdown-menu">
                    <li><a class="dropdown-item fw-medium"
                      href="{{ route('customer_dashboard') }}"><i class="fas fa-tachometer-alt"
                          style="width:25px"></i> My Dashboard</a></li>
                    <li><a class="dropdown-item fw-medium"
                      href="{{ route('customer_order_history') }}"><i
                          class="fas fa-cart-arrow-down" style="width:25px"></i> My Order
                      History</a></li>
                    <li><a class="dropdown-item fw-medium"
                      href="{{ route('customer_statement') }}"><i
                          class="fas fa-file-invoice-dollar" style="width:25px"></i> My
                      Statement</a></li>
                    <li><a class="dropdown-item fw-medium" href="{{ route('customer_invoice') }}"><i
                      class="fas fa-file-invoice" style="width:25px"></i> My Invoice</a>
                    </li>
                    <li class="dashed-bottom mb-3 pb-2"><a class="dropdown-item fw-medium"
                      href="{{ route('customer_add_balance') }}"><i class="fas fa-plus"
                          style="width:25px"></i> Add Balance</a>
                    </li>
                    <li><a class="dropdown-item fw-medium bg-light-danger" href="#"
                      data-logout-url="{{ route('customer_logout') }}"
                      onclick="confirmLogout(this)"><i class="fas fa-sign-out-alt"
                          style="width:25px"></i> Logout</a>
                    </li>
                  </ul>
                </li>
              @endif
              @if (!Auth::guard('customer')->check())
                <button class="btn btn-primary rounded" data-bs-toggle="modal" data-bs-target="#login"><i
                  class="fas fa-user"></i> <span
                  style="padding-left: 5px">Login/Register</span>
                </button>
              @endif
            </ul>
          </div>
        </div>
      </nav>
    </header>
    {{-- Content --}}
    <div class="my-4">
        @yield('content')
    </div>
    {!! $footer() !!}
    {!! $mobileMenu() !!}
    <style>
        body.modal-open {
            overflow: visible !important;
            padding-right: 0 !important
        }
    </style>
    <!-- Required Js -->
    <script src="{{ asset('frontend/js/jquery-3.6.4.min.js') }}"></script>
    <script src="{{ asset('frontend/js/plugins/popper.min.js') }}"></script>
    <script src="{{ asset('frontend/js/plugins/simplebar.min.js') }}"></script>
    <script src="{{ asset('frontend/js/plugins/bootstrap.min.js') }}"></script>
    <script src="{{ asset('frontend/js/pcoded.js') }}"></script>
    <script src="{{ asset('frontend/js/notifier.js') }}"></script>
    <script src="{{ asset('frontend/js/jquery.dataTables.min.js') }}"></script>
    @yield('footer_script')
    <script>
        layout_change('{{ $themMode }}');
    </script>
    <script>
        layout_theme_contrast_change('false');
    </script>
    <script>
        change_box_container('false');
    </script>
    <script>
        layout_caption_change('true');
    </script>
    <script>
        layout_rtl_change('false');
    </script>
    <script>
        preset_change('{{ $themeColor }}');
    </script>
    <script>
      function confirmLogout(element) {
        var logoutUrl = $(element).data('logout-url');
        if (confirm("Are you sure to logout?")) {
            window.location.href = logoutUrl;
        }
      }
    </script>
    <script>
      $('.menu-login-btn').on('click', function(){
        $('#menuOffcanvas').offcanvas('hide');
      })
    </script>
    @include('frontend.include.login')
    @include('frontend.include.modal_notification')
  </body>
  </html>
@endisset
