<?php if(isset($themMode)): ?>
  <!doctype html>
  <html lang="en" data-pc-theme="<?php echo e($themMode); ?>" translate="no">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <?php echo $__env->yieldContent('seo'); ?>
    <link rel="canonical" href="<?php echo e(url()->current()); ?>" />
    <meta name="author" content="GSM Theme" />
    <link rel="icon" href="<?php echo e($siteFav); ?>" type="image/x-icon" />
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/stylesheet.css')); ?>" id="main-style-link" />
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/gsmthemstyle.css')); ?>" id="main-style-link" />
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/loader.css')); ?>" id="main-style-link" />
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/plugins/style.css')); ?>" id="main-style-link" />
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/style-preset.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/notifier.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/choices.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/jquery.dataTables.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('frontend/css/custom-animation.css')); ?>">
    <script src="<?php echo e(asset('frontend/js/lottie-player.js')); ?>"></script>
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <?php if($headerCode): ?>
      <?php echo $headerCode; ?>

    <?php endif; ?>
  </head>
  <body data-pc-preset="<?php echo e($themeColor); ?>" data-pc-sidebar-caption="true" data-pc-direction="ltr"
    data-pc-theme_contrast="" data-pc-theme="<?php echo e($themMode); ?>">
    <div class="loader-bg" style="background: <?php echo e($themMode === 'dark' ? '#131920' : '#f8f9fa'); ?>;">
      <div class="loader-track">
        <div class="top-loader">
          <div class="loader-bar"></div>
        </div>
      </div>
    </div>
    <div class="top-loader" style="display:none;">
      <div class="loader-bar"></div>
    </div>
    
    <header class="d-block p-0 border-bottom overflow-visible bg-white text-muted">
      <nav class="navbar-expand-lg navbar-light default d-block py-0 bg-white">
        <div class="top-navbar py-2 d-none d-lg-block bg-primary text-white ">
          <div class="container d-flex">
            <div class="nav-item px-1 dropdown">
              <ul class="navbar-nav ms-auto">
                <li class="nav-item dropdown">
                  <div class="dropdown-toggle" data-bs-toggle="dropdown" style="cursor: pointer"><i
                    class="fas fa-phone"></i> Contact us <i class="fas fa-chevron-down ps-1"
                    style="font-size: 0.7rem;"></i></div>
                  <div class="dropdown-menu drp-technology nav-drp-tech-scrollble">
                      <?php if($siteWaUrl): ?>
                        <a class="dropdown-item gap-2" href="<?php echo e($siteWaUrl); ?>" target="_blank"><i class="fab fa-whatsapp"></i> Whatsapp</a>
                      <?php endif; ?>
                      <?php if($siteTeleUrl): ?>
                          <a class="dropdown-item gap-2" href="<?php echo e($siteTeleUrl); ?>" target="_blank"><i class="fab fa-telegram-plane"></i> Telegram</a>
                      <?php endif; ?>
                      <?php if($siteFbUrl): ?>
                          <a class="dropdown-item gap-2" href="<?php echo e($siteFbUrl); ?>" target="_blank"><i class="fab fa-facebook"></i> Facebook</a>
                      <?php endif; ?>
                  </div>
                </li>
              </ul>
            </div>
            <div class="navbar-collapse">
              <?php if(Auth::guard('customer')->check()): ?>
                <ul class="navbar-nav ms-auto">
                  <?php if($themMode == 'dark'): ?>
                      <li class="nav-itemn"><a href="<?php echo e(route('change_theme_mode')); ?>" class="text-reset"><i class="fas fa-moon fs-5"></i></a></li>
                  <?php else: ?>
                      <li class="nav-itemn"><a href="<?php echo e(route('change_theme_mode')); ?>" class="text-reset"><i class="fas fa-sun fs-5"></i></a></li>
                  <?php endif; ?>
                  <li class="nav-itemn border-start border-light-primary p-l-15 m-l-15"><a class="text-reset" href="<?php echo e(route('customer_order_history')); ?>">Order History</a></li>
                  <li class="nav-itemn border-start border-light-primary p-l-15 m-l-15"><a class="text-reset" href="<?php echo e(route('customer_add_balance')); ?>">Balance:
                    <?php echo e(round(Auth::guard('customer')->user()->balance, 2)); ?>

                    <?php echo e(App\Models\Currency::where('code', Auth::guard('customer')->user()->currency)->first()->icon); ?></a>
                  </li>
                </ul>
              <?php else: ?>
                <ul class="navbar-nav ms-auto ">
                  <li class="nav-item p-l-15 m-l-15 dropdown">
                    <div class="dropdown-toggle" data-bs-toggle="dropdown"><?php echo e($defaultCurrency->icon); ?>

                      <?php echo e($defaultCurrency->code); ?> <i class="fas fa-chevron-down ps-1"
                          style="font-size: 0.7rem;"></i></div>
                    <div class="dropdown-menu drp-technology nav-drp-tech-scrollble" style="min-width: auto">
                      <?php $__currentLoopData = $currencyList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $currency): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <a class="dropdown-item gap-2"
                            href="<?php echo e(route('update_default_currency', [$currency->name, $currency->code])); ?>">
                            <?php echo e($currency->icon); ?> <?php echo e($currency->code); ?></a>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                  </li>
                </ul>
              <?php endif; ?>
            </div>
          </div>
        </div>
        <div class="container py-3 d-flex gap-4 align-items-center">
          <button class="navbar-toggler rounded fs-2 text-primary" type="button" data-bs-toggle="offcanvas"
            data-bs-target="#menuOffcanvas" aria-controls="menuOffcanvas" aria-expanded="false"
            aria-label="Toggle navigation" style="outline: none; box-shadow: none;">
            <i class="fas fa-bars"></i>
          </button>
          <a class="navbar-brand" href="<?php echo e(route('home')); ?>">
            <img src="<?php echo e($siteLogo); ?>" alt="logo" style="max-width: 250px; max-height:40px" />
          </a>
          <div class="collapse navbar-collapse" id="navbarTogglerDemo01">
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0 align-items-center">
              <?php $__currentLoopData = $fmenus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li
                  class="menu-item me-4 pe-4 border-end <?php echo e($menu->fchildren->count() ? 'dropdown' : ''); ?>">
                  <?php if($menu->fchildren->count()): ?>
                    <a href="#"
                      class="dropdown-toggle d-flex align-items-center gap-1 nav-link fw-medium"
                      data-bs-toggle="dropdown">
                      <?php echo e($menu->name); ?> <i class="fas fa-chevron-down ps-1"
                          style="font-size: 0.7rem;"></i>
                    </a>
                    <ul class="dropdown-menu">
                      <?php $__currentLoopData = $menu->fchildren; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $child): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <li><a class="dropdown-item fw-medium"
                                  href="<?php echo e($child->slug); ?>"><?php echo e($child->name); ?></a></li>
                      <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                  <?php else: ?>
                    <a href="<?php echo e($menu->slug); ?>" class="nav-link fw-medium"><?php echo e($menu->name); ?></a>
                  <?php endif; ?>
                </li>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              <?php if(Auth::guard('customer')->check()): ?>
                <li class="menu-item dropdown">
                  <a href="#"
                    class="dropdown-toggle d-flex align-items-center gap-1 nav-link fw-medium"
                    data-bs-toggle="dropdown">
                    <?php echo e(Auth::guard('customer')->user()->name); ?>

                    (<?php echo e(Auth::guard('customer')->user()->role); ?>) <i class="fas fa-chevron-down ps-1"
                        style="font-size: 0.7rem;"></i>
                  </a>
                  <ul class="dropdown-menu">
                    <li><a class="dropdown-item fw-medium"
                      href="<?php echo e(route('customer_dashboard')); ?>"><i class="fas fa-tachometer-alt"
                          style="width:25px"></i> My Dashboard</a></li>
                    <li><a class="dropdown-item fw-medium"
                      href="<?php echo e(route('customer_order_history')); ?>"><i
                          class="fas fa-cart-arrow-down" style="width:25px"></i> My Order
                      History</a></li>
                    <li><a class="dropdown-item fw-medium"
                      href="<?php echo e(route('customer_statement')); ?>"><i
                          class="fas fa-file-invoice-dollar" style="width:25px"></i> My
                      Statement</a></li>
                    <li><a class="dropdown-item fw-medium" href="<?php echo e(route('customer_invoice')); ?>"><i
                      class="fas fa-file-invoice" style="width:25px"></i> My Invoice</a>
                    </li>
                    <li class="dashed-bottom mb-3 pb-2"><a class="dropdown-item fw-medium"
                      href="<?php echo e(route('customer_add_balance')); ?>"><i class="fas fa-plus"
                          style="width:25px"></i> Add Balance</a>
                    </li>
                    <li><a class="dropdown-item fw-medium bg-light-danger" href="#"
                      data-logout-url="<?php echo e(route('customer_logout')); ?>"
                      onclick="confirmLogout(this)"><i class="fas fa-sign-out-alt"
                          style="width:25px"></i> Logout</a>
                    </li>
                  </ul>
                </li>
              <?php endif; ?>
              <?php if(!Auth::guard('customer')->check()): ?>
                <button class="btn btn-primary rounded" data-bs-toggle="modal" data-bs-target="#login"><i
                  class="fas fa-user"></i> <span
                  style="padding-left: 5px">Login/Register</span>
                </button>
              <?php endif; ?>
            </ul>
          </div>
        </div>
      </nav>
    </header>
    
    <div class="my-4">
        <?php echo $__env->yieldContent('content'); ?>
    </div>
    <?php echo $footer(); ?>

    <?php echo $mobileMenu(); ?>

    <style>
        body.modal-open {
            overflow: visible !important;
            padding-right: 0 !important
        }
    </style>
    <!-- Required Js -->
    <script src="<?php echo e(asset('frontend/js/jquery-3.6.4.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/plugins/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/plugins/simplebar.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/plugins/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/pcoded.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/notifier.js')); ?>"></script>
    <script src="<?php echo e(asset('frontend/js/jquery.dataTables.min.js')); ?>"></script>
    <?php echo $__env->yieldContent('footer_script'); ?>
    <script>
        layout_change('<?php echo e($themMode); ?>');
    </script>
    <script>
        layout_theme_contrast_change('false');
    </script>
    <script>
        change_box_container('false');
    </script>
    <script>
        layout_caption_change('true');
    </script>
    <script>
        layout_rtl_change('false');
    </script>
    <script>
        preset_change('<?php echo e($themeColor); ?>');
    </script>
    <script>
      function confirmLogout(element) {
        var logoutUrl = $(element).data('logout-url');
        if (confirm("Are you sure to logout?")) {
            window.location.href = logoutUrl;
        }
      }
    </script>
    <script>
      $('.menu-login-btn').on('click', function(){
        $('#menuOffcanvas').offcanvas('hide');
      })
    </script>
    <?php echo $__env->make('frontend.include.login', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('frontend.include.modal_notification', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  </body>
  </html>
<?php endif; ?>
<?php /**PATH /home/unlomqzj/public_html/resources/views/layouts/frontend.blade.php ENDPATH**/ ?>